org.apache.maven.scm.provider.synergy.consumer

## Class SynergyGetCompletedTasksConsumer

- java.lang.Object
- - org.apache.maven.scm.util.AbstractConsumer
  - - org.apache.maven.scm.provider.synergy.consumer.SynergyGetCompletedTasksConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class SynergyGetCompletedTasksConsumer
    extends AbstractConsumer

Mainly inspired from CruiseControl

Version:
  $Id: SynergyGetCompletedTasksConsumer.java 691832 2008-09-03 23:54:44Z vsiveton $
Author:
  Julien Henry

### Field Summary

Fields
`static String` `OUTPUT_FORMAT`

### Constructor Summary

Constructors
Constructor and Description
`SynergyGetCompletedTasksConsumer(ScmLogger logger)`

### Method Summary

Methods
`void` `consumeLine(String line)`
`List` `getTasks()`

### Methods inherited from class org.apache.maven.scm.util.AbstractConsumer

`getLogger, parseDate, parseDate, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### OUTPUT_FORMAT

    public static final String OUTPUT_FORMAT

See Also:
  Constant Field Values

### Constructor Detail

#### SynergyGetCompletedTasksConsumer

    public SynergyGetCompletedTasksConsumer(ScmLogger logger)

### Method Detail

#### getTasks

    public List getTasks()

Returns:
  the tasks

#### consumeLine

    public void consumeLine(String line)